Subject: Re: bug#58005: 13.1.4; Can't work with indirect buffers

From: Vangelis Evangelou <[email-masked]>
Date: Thu, 25 Apr 2024 09:46:19 +0100

OK. I attach the diff.

On Wed, 24 Apr 2024 at 10:57, Ikumi Keita <[email-masked]> wrote:

> Hi Vangelis,
>
> >>>>> Vangelis Evangelou <[email-masked]> writes:
> > Hi all.
> > I'm not sure what the ideal outcome is. It depends on each user's case.
> In
> > principle, indirect buffers have identical text content as their base
> > buffer, but different view properties, so the previews not showing in the
> > indirect buffer agrees with this principle. I therefore, agree with
> Paul's
> > comment.
>
> Thank you. Then I think AUCTeX can incorporate your proposal. Can you
> make an entry for doc/changes.texi and send the diff?
>
> To AUCTeX admins: Do you think Vangelis'es patch needs copyright
> assignment? In my opinion, it doesn't because definition of
> `TeX-buffer-file-name' is straightforward and other changes are trivial
> (replacements of `buffer-file-name' -> `TeX-buffer-file-name' or
> additions of `(with-current-buffer (or (buffer-base-buffer)
> (current-buffer))...')
>
> Regards,
> Ikumi Keita
> #StandWithUkraine #StopWarInUkraine
> #Gaza #StopMassiveKilling #CeasefireNOW
>
diff --git a/doc/changes.texi b/doc/changes.texi
index cae91aa2..319c2b20 100644
--- a/doc/changes.texi
+++ b/doc/changes.texi
@@ -11,6 +11,12 @@
 @heading News in 14.1
 
 @itemize @bullet
+@item
+@AUCTeX{} can be used with indirect buffers visiting a file. This
+feature allows having different perspectives of the same buffer
+(narrowing, folding, previewing, etc). The indirect buffer has the same
+master file as its base buffer.
+
 @item
 @AUCTeX{} changes major mode names.  Its primary purpose is to avoid
 conflicts with Emacs built-in @TeX{} major modes.  It also improves